Bug 103268 - Format > Name... (.uno:NameGroup) should work with images
Summary: Format > Name... (.uno:NameGroup) should work with images
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
(earliest affected)
Hardware: All All
: medium enhancement
Assignee: Gülşah Köse
Whiteboard: target:5.3.0
Keywords: needsDevEval, topicUI
Depends on:
Blocks: UNO-Command-New Writer-Images
  Show dependency treegraph
Reported: 2016-10-17 05:18 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-02-10 20:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-10-17 05:18:08 UTC
As writer images (and frames) are not standard objects like in other modules, the Format > Name command (.uno:NameGroup) doesnt work with it while it should. The command should work with all objects, where it is possible to name them, just like how Format > Description (.uno:ObjectTitleDescription) works with all objects.
Comment 1 Commit Notification 2016-11-13 16:16:35 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "master":


tdf#103268 Activate editing object name function for writer images.

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:

Affected users are encouraged to test the fix and report feedback.
Comment 2 Yousuf Philips (jay) (retired) 2016-11-15 19:18:34 UTC
Thanks Gulsah for taking this on. Is it possible to also do if for frames, as mentioned in the description, or should i open a new bug for that?
Comment 3 Maxim Monastirsky 2016-11-15 19:28:18 UTC
(In reply to Yousuf Philips (jay) from comment #2)
> Is it possible to also do if for frames, as mentioned in the description
Yes, this patch works for frames too.
Comment 4 Harald Koester 2017-02-10 20:51:22 UTC
Verified with version 5.3.0: Renaming of images and frames is now possible with:
Format > Name...

Hence I closed this bug.